# Run tests in check section
%bcond_without check

# https://github.com/opentracing/opentracing-go
%global goipath         github.com/opentracing/opentracing-go
Version:                1.1.0

%global common_description %{expand:
This package is a Go platform API for OpenTracing.}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        OpenTracing API for Go
# Detected licences
# - *No copyright* Apache License (v2.0) at 'LICENSE'
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/stretchr/testify/assert)
BuildRequires: golang(github.com/stretchr/testify/suite)

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md CHANGELOG.md


%changelog
* Thu Mar 14 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.0-1
- First package for Fedora
